Bug 124711 - [NEW PORT] devel/ois: Object Oriented Input System
Summary: [NEW PORT] devel/ois: Object Oriented Input System
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-18 13:20 UTC by Dmitry Marakasov
Modified: 2008-06-20 10:51 UTC (History)
0 users

See Also:


Attachments
ois-1.2.0.shar (6.26 KB, text/plain)
2008-06-18 13:20 UTC, Dmitry Marakasov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2008-06-18 13:20:04 UTC
Object Oriented Input System (OIS) is meant to be a cross platform,
simple solution for using all kinds of Input Devices (KeyBoards,
Mice, Joysticks, etc) and feedback devices (e.g. forcefeedback).
Written in C++ using Object Oriented Design patterns.

NOTE: this ports lacks joystick support. For now.

WWW: http://www.wreckedgames.com/
Comment 1 Edwin Groothuis freebsd_committer 2008-06-18 13:20:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2008-06-19 14:17:55 UTC
Responsible Changed
From-To: miwi->amdmi3

Dmitry is now committer.
Comment 3 dfilter service freebsd_committer 2008-06-20 10:33:02 UTC
amdmi3      2008-06-20 09:32:19 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/ois            Makefile distinfo pkg-descr pkg-plist 
    devel/ois/files      patch-src-Makefile.am 
                         patch-src-linux-LinuxInputManager.cpp 
  Log:
  Object Oriented Input System (OIS) is meant to be a cross platform,
  simple solution for using all kinds of Input Devices (KeyBoards,
  Mice, Joysticks, etc) and feedback devices (e.g. forcefeedback).
  Written in C++ using Object Oriented Design patterns.
  
  NOTE: this ports lacks joystick support. For now.
  
  WWW: http://www.wreckedgames.com/
  
  PR:             ports/124711
  Approved by:    miwi (mentor)
  
  Revision  Changes    Path
  1.3108    +1 -0      ports/devel/Makefile
  1.1       +35 -0     ports/devel/ois/Makefile (new)
  1.1       +3 -0      ports/devel/ois/distinfo (new)
  1.1       +26 -0     ports/devel/ois/files/patch-src-Makefile.am (new)
  1.1       +88 -0     ports/devel/ois/files/patch-src-linux-LinuxInputManager.cpp (new)
  1.1       +8 -0      ports/devel/ois/pkg-descr (new)
  1.1       +20 -0     ports/devel/ois/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dmitry Marakasov freebsd_committer 2008-06-20 10:51:15 UTC
State Changed
From-To: open->closed

New port added. Thanks!